// Base
import type { CreateDto, UpdateDto } from '~/models/procedure-room-order-item'
import * as base from './_crud-base'

const name = 'procedure-room-order-item'
const path = `/api/v1/${name}`

export function create(data: CreateDto) {
  return base.create(path, data, name)
}

export function getList(params: any = null) {
  return base.getList(path, params, name)
}

export function getDetail(id: number | string) {
  return base.getDetail(path, id, name)
}

export function update(id: number | string, data: UpdateDto) {
  return base.update(path, id, data, name)
}

export function remove(id: number | string) {
  return base.remove(path, id, name)
}
